MPTCPIZE(8)

NAME
mptcpize - enable MPTCP on existing services

SYNOPSIS
mptcpize [-?V] [--help] [--usage] [--version] COMMAND

DESCRIPTION
mptcpize is a program that enables multipath TCP on existing legacy services, where COMMAND is one of the following:

  run [-d] prog [args]
Run target program with the specified command line arguments, forcing MPTCP socket usage instead of TCP. If the -d argument is provided, dump messages on stderr when a TCP socket is forced to use MPTCP.

  enable unit
Update the systemd unit file, forcing the given service to run under the above launcher.

  disable unit
Update the systemd unit file, removing the above launcher.

OPTIONS
mptcpize accepts the following command line options:

-?,--help
    display mptcpize help information

--usage
    display brief mptcpize usage information

-V,--version
    display mptcpize version information

REPORTING BUGS
Report bugs to mptcp@lists.linux.dev.

SEE ALSO
ip-mptcp(8), mptcpd(8)